package com.huimv.env.manage.controller;


import com.huimv.env.manage.entity.EnvPushMessge;
import com.huimv.env.manage.service.IEnvPushMessgeService;
import com.huimv.env.manage.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.CrossOrigin;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
@RestController
@CrossOrigin
@RequestMapping("/envPushMessge")
public class EnvPushMessgeController {

    @Autowired
    private IEnvPushMessgeService envPushMessgeService;
    @PostMapping("/listMessge")
    public Result listMessge(@RequestBody Map<String,String> paramMap){
        return  envPushMessgeService.listMessge(paramMap);

    }
    @PostMapping("/delete")
    public Result delete(@RequestBody Map<String,Integer> paramMap){
        Integer id = paramMap.get("id");
        EnvPushMessge envPushMessge = new EnvPushMessge();
        envPushMessge.setId(id);
        envPushMessge.setId(0);
        envPushMessgeService.updateById(envPushMessge);
        return new Result(10000,"删除成功",true) ;

    }

}
